Fix TRAB channel switching delay for trab_fkt.bin standalone applikation
Patch by Martin Krause, 08 Nov 2005

In tsc2000_read_channel() the delay after setting the multiplexer 
to a temperature channel is increased from 1,5 ms to 10 ms. This
is to allow the multiplexer inputs to stabilize after huge steps
of the input signal level.

---
commit 100aa9932d9296987f99abe12d30ed53a395c42c
tree 9f0701b0f4a210df319ac88cdc8f6564c2cbda33
parent a384ffb737dd01add81061b701619cbf03ba33ae
author Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Wed, 09 Nov 2005 10:39:37 +0100
committer Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Wed, 09 Nov 2005 10:39:37 +0100

 board/trab/tsc2000.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/board/trab/tsc2000.c b/board/trab/tsc2000.c
index ca68682..382a85b 100644
--- a/board/trab/tsc2000.c
+++ b/board/trab/tsc2000.c
@@ -223,7 +223,7 @@ u16 tsc2000_read_channel (unsigned int c
 	u16 res;
 
 	tsc2000_set_mux(channel);
-	udelay(3 * TSC2000_DELAY_BASE);
+	udelay(20 * TSC2000_DELAY_BASE);
 
 	tsc2000_write(TSC2000_REG_ADC, 0x2036);
 	adc_wait_conversion_done ();
